import * as React from 'react';
import { DatePickerProps } from '@mui/lab';
import { BaseComponentProps } from '../../base/base-component-props';
import { DistributiveOmit } from '@mui/types';
export type WDatePickerProps = BaseComponentProps & DistributiveOmit<DatePickerProps, "renderInput"> & {
    fullWidth?: boolean;
    format?: string;
    helperText?: string;
    error?: string;
    renderInput?: DatePickerProps["renderInput"];
};
export declare const WDatePicker: React.FC<WDatePickerProps>;
