import * as React from 'react';
import { DateTimePickerProps } from '@mui/lab';
import { BaseComponentProps } from '../../base/base-component-props';
import { DistributiveOmit } from '@mui/types';
export type WDateTimePickerProps = BaseComponentProps & DistributiveOmit<DateTimePickerProps<any>, "renderInput"> & {
    fullWidth?: boolean;
    format?: string;
    helperText?: string;
    error?: string;
    renderInput?: DateTimePickerProps<any>["renderInput"];
};
export declare const WDateTimePicker: React.FC<WDateTimePickerProps>;
