"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WExpansionPanel = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const React = __importStar(require("react"));
const Accordion_1 = __importDefault(require("@mui/material/Accordion"));
const material_1 = require("@mui/material");
const w_icon_1 = require("../../medias/w-icon");
const w_typography_1 = require("../../others/w-typography");
const w_button_1 = require("../../buttons/w-button");
const makeStyles_1 = __importDefault(require("@mui/styles/makeStyles"));
const useStyles = (0, makeStyles_1.default)((theme) => ({
    summaryRoot: {
        padding: '0px 8px',
        margin: 0,
        "&.Mui-expanded": {
            minHeight: 'auto'
        }
    },
    summaryContent: {
        margin: 0,
        "&.Mui-expanded": {
            "margin": '0px'
        }
    },
}));
exports.WExpansionPanel = React.forwardRef((props, ref) => {
    var _a, _b;
    const classes = useStyles();
    return ((0, jsx_runtime_1.jsxs)(Accordion_1.default, Object.assign({ elevation: (_b = (_a = props.theme) === null || _a === void 0 ? void 0 : _a.designDetails) === null || _b === void 0 ? void 0 : _b.defaultElevation }, props, { ref: ref }, { children: [(0, jsx_runtime_1.jsx)(material_1.AccordionSummary, Object.assign({ expandIcon: (0, jsx_runtime_1.jsx)(w_icon_1.WIcon, { children: "expand_more" }), classes: { root: classes.summaryRoot, content: classes.summaryContent } }, { children: (0, jsx_runtime_1.jsx)(w_typography_1.WTypography, Object.assign({ variant: "h6" }, { children: props.title })) })), (0, jsx_runtime_1.jsx)(material_1.AccordionDetails, { children: props.children }), props.actions &&
                (0, jsx_runtime_1.jsx)(material_1.AccordionActions, { children: props.actions.map(action => {
                        if (action.custom) {
                            return action.custom;
                        }
                        else {
                            return (0, jsx_runtime_1.jsx)(w_button_1.WButton, Object.assign({ id: props.id + "-btn", size: "small", onClick: action.onClick }, { children: action.text }));
                        }
                    }) })] })));
});
