"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WWizard = exports.WWizardInner = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = __importDefault(require("react"));
const createStyles_1 = __importDefault(require("@mui/styles/createStyles"));
const withStyles_1 = __importDefault(require("@mui/styles/withStyles"));
const material_1 = require("@mui/material");
class WWizardInner extends react_1.default.Component {
    constructor(props) {
        super(props);
        this.onDataChanged = (data) => {
            this.setState({ data }, () => {
                this.props.onDataChanged && this.props.onDataChanged(data);
            });
        };
        this.state = {
            activeStep: props.defaultStep || 0,
            data: props.initialData || {}
        };
    }
    render() {
        const { classes, steps } = this.props;
        const { activeStep, data } = this.state;
        const StepComponent = steps[activeStep].component;
        return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)(material_1.Stepper, Object.assign({ activeStep: activeStep, alternativeLabel: true }, { children: steps.map(({ label }) => ((0, jsx_runtime_1.jsx)(material_1.Step, { children: (0, jsx_runtime_1.jsx)(material_1.StepLabel, { children: label }) }, label))) })), (0, jsx_runtime_1.jsx)("div", Object.assign({ className: classes.stepContainer }, { children: (0, jsx_runtime_1.jsx)(StepComponent, { data: data, activeStep: activeStep, onDataChanged: this.onDataChanged, onForward: () => {
                            if (activeStep < steps.length - 1) {
                                this.setState({ activeStep: this.state.activeStep + 1 });
                            }
                        }, onBackward: () => {
                            if (activeStep > 0) {
                                this.setState({ activeStep: this.state.activeStep - 1 });
                            }
                        } }) }))] }));
    }
}
exports.WWizardInner = WWizardInner;
const styles = (theme) => (0, createStyles_1.default)({
    stepContainer: {
        padding: `${theme.spacing(1)} ${theme.spacing(2)} ${theme.spacing(2)} ${theme.spacing(2)}`
    }
});
exports.WWizard = (0, withStyles_1.default)(styles, { withTheme: true })(WWizardInner);
