"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WListItemButton = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const ListItemButton_1 = __importDefault(require("@mui/material/ListItemButton"));
const styles_1 = require("@mui/material/styles");
const makeStyles_1 = __importDefault(require("@mui/styles/makeStyles"));
const useStyles = (0, makeStyles_1.default)((theme) => ({
    root: {
        '&:hover': {
            backgroundColor: theme.palette.background.default
        }
    },
    selected: {
        color: theme.palette.primary.main,
        backgroundColor: (0, styles_1.emphasize)(theme.palette.background.default, 0.04) + ' !important',
        fontWeight: 500
    }
}));
const WListItemButton = (_a) => {
    var { dense = true } = _a, rest = __rest(_a, ["dense"]);
    const classes = useStyles();
    return (0, jsx_runtime_1.jsx)(ListItemButton_1.default, Object.assign({}, rest, { dense: dense, classes: classes }));
};
exports.WListItemButton = WListItemButton;
