"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const __1 = require("../../../");
// @ts-ignore
const react_1 = __importDefault(require("react"));
const makeStyles_1 = __importDefault(require("@mui/styles/makeStyles"));
const store_1 = require("../../../store");
const useStyles = (0, makeStyles_1.default)((theme) => ({
    button: {
        color: theme.palette.background.default + ' !important'
    },
    content: {
        padding: theme.spacing(1),
        minWidth: 400
    }
}));
const RightDrawer = ({ options }) => {
    const classes = useStyles();
    const { toggleRightDrawer, rightDrawerOpen } = (0, store_1.useAppContext)();
    return ((0, jsx_runtime_1.jsxs)(react_1.default.Fragment, { children: [(options === null || options === void 0 ? void 0 : options.buttonComponent)
                ? (0, jsx_runtime_1.jsx)(options.buttonComponent, {})
                : ((0, jsx_runtime_1.jsx)(__1.WIconButton, { className: classes.button, id: "right-drawer-icon-button", onClick: () => toggleRightDrawer(), icon: (options === null || options === void 0 ? void 0 : options.buttonIcon) || "chrome_reader_mode" })), (0, jsx_runtime_1.jsxs)(__1.WDrawer, Object.assign({ anchor: "right", open: rightDrawerOpen, onClose: () => toggleRightDrawer(false) }, { children: [(0, jsx_runtime_1.jsx)("div", { style: { minHeight: 96 } }), (0, jsx_runtime_1.jsx)(__1.WBox, Object.assign({ className: classes.content, style: options === null || options === void 0 ? void 0 : options.contentBoxStyle }, { children: (options === null || options === void 0 ? void 0 : options.contentComponent) && (0, jsx_runtime_1.jsx)(options.contentComponent, {}) }))] }))] }));
};
exports.default = RightDrawer;
