"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const react_router_dom_1 = require("react-router-dom");
const store_1 = require("../../store");
const w_app_1 = __importDefault(require("../components/w-app"));
const WFace = ({ configuration }) => {
    const children = (0, react_1.useMemo)(() => {
        let result = (0, jsx_runtime_1.jsx)(w_app_1.default, {});
        if (configuration.wrapApp) {
            result = configuration.wrapApp(result);
        }
        if (configuration.api) {
            result = (0, jsx_runtime_1.jsx)(store_1.ApiContextProvider, { children: result });
        }
        return result;
    }, [configuration.api, configuration.wrapApp]);
    return ((0, jsx_runtime_1.jsx)(react_router_dom_1.BrowserRouter, { children: (0, jsx_runtime_1.jsx)(store_1.UserContextProvider, Object.assign({ useLocalStorage: configuration.useLocalStorage, projectName: configuration.projectName }, { children: (0, jsx_runtime_1.jsx)(store_1.AppContextProvider, { children: (0, jsx_runtime_1.jsx)(store_1.ConfigContextProvider, Object.assign({ configuration: configuration }, { children: children })) }) })) }));
};
exports.default = WFace;
