import React from 'react';
import { WTheme } from '../../others/w-theme-provider/w-theme';
export interface WWizardStepProps {
    data: any;
    activeStep: number;
    onDataChanged: (data: any) => void;
    onForward: () => void;
    onBackward: () => void;
}
export interface WWizardProps {
    classes?: any;
    theme?: WTheme;
    initialData?: any;
    defaultStep?: number;
    onDataChanged?: (newData: any) => void;
    onStepChanged?: (newStep: number) => void;
    steps: {
        label: string;
        component: React.ElementType<WWizardStepProps>;
    }[];
}
interface WWizardState {
    activeStep: number;
    data: any;
}
export declare class WWizardInner extends React.Component<WWizardProps, WWizardState> {
    constructor(props: WWizardProps);
    onDataChanged: (data: any) => void;
    render(): JSX.Element;
}
export declare const WWizard: any;
export {};
