"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const w_default_container_1 = __importDefault(require("./w-default-container"));
const w_login_page_1 = __importDefault(require("./w-login-page"));
const w_main_page_1 = __importDefault(require("./w-main-page"));
const w_screen_wrapper_1 = __importDefault(require("./w-screen-wrapper"));
const no_page_1 = __importDefault(require("./w-screen-wrapper/no-page"));
const error_page_1 = __importDefault(require("./w-screen-wrapper/error-page"));
const components = {
    Container: w_default_container_1.default,
    LoginPage: w_login_page_1.default,
    MainPage: w_main_page_1.default,
    ScreenWrapper: w_screen_wrapper_1.default,
    NoPage: no_page_1.default,
    ErrorPage: error_page_1.default
};
exports.default = components;
